MAPITests 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
module_mapidump.c File Reference

mapidump function tests More...

## Functions
bool | mapitest_mapidump_appointment (struct mapitest *mt)
bool | mapitest_mapidump_contact (struct mapitest *mt)
bool | mapitest_mapidump_foldercopied (struct mapitest *mt)
bool | mapitest_mapidump_foldercreated (struct mapitest *mt)
bool | mapitest_mapidump_folderdeleted (struct mapitest *mt)
bool | mapitest_mapidump_foldermoved (struct mapitest *mt)
bool | mapitest_mapidump_freebusy (struct mapitest *mt)
bool | mapitest_mapidump_message (struct mapitest *mt)
bool | mapitest_mapidump_messagecopied (struct mapitest *mt)
bool | mapitest_mapidump_messagecreated (struct mapitest *mt)
bool | mapitest_mapidump_messagedeleted (struct mapitest *mt)
bool | mapitest_mapidump_messagemodified (struct mapitest *mt)
bool | mapitest_mapidump_messagemoved (struct mapitest *mt)
bool | mapitest_mapidump_newmail (struct mapitest *mt)
bool | mapitest_mapidump_note (struct mapitest *mt)
bool | mapitest_mapidump_pabentry (struct mapitest *mt)
bool | mapitest_mapidump_recipients (struct mapitest *mt)
bool | mapitest_mapidump_sproptagarray (struct mapitest *mt)
bool | mapitest_mapidump_spropvalue (struct mapitest *mt)
bool | mapitest_mapidump_srowset (struct mapitest *mt)
bool | mapitest_mapidump_task (struct mapitest *mt)

## Detailed Description

mapidump function tests

Note
  These tests do not show how to use libmapi properly, and should not be used as a programming reference.

## Function Documentation

bool mapitest_mapidump_appointment | ( | struct mapitest * | mt | ) |

Test message dump using mapidump_appointment

This function:

1. Tests the mapidump_appointment() function

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

Note
  This currently doesn't check the results are sane, so manual inspection is required

References mapitest::mem_ctx.

bool mapitest_mapidump_contact | ( | struct mapitest * | mt | ) |

Test dump using mapidump_contact

This function:

1. Tests the mapidump_contact() function

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

Note
  This currently doesn't check the results are sane, so manual inspection is required

References mapitest::mem_ctx.

bool mapitest_mapidump_foldercopied | ( | struct mapitest * | mt | ) |

Test dump of a folder copy notification

This function:

1. Creates a FolderMoveCopyNotification structure
2. Dumps that structure out using mapidump_foldercopy()
3. Tests mapidump_foldercopy() with a null argument

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

Note
  This currently doesn't check the results are sane, so manual inspection is required

bool mapitest_mapidump_foldercreated | ( | struct mapitest * | mt | ) |

Test dump of a Folder creation notification

This function:

1. Creates a FolderCreatedNotification structure with a null tag set
2. Dumps that structure out using mapidump_foldercreated()
3. Adds a set of tags to the FolderCreatedNotification
4. Dumps the modified FolderCreatedNotification structure using mapidump_foldercreated()
5. Tests mapidump_foldercreated() with a null argument

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

Note
  This currently doesn't check the results are sane, so manual inspection is required

References mapitest::mem_ctx.

bool mapitest_mapidump_folderdeleted | ( | struct mapitest * | mt | ) |

Test dump of a Folder deletion notification

This function:

1. Creates a FolderDeletedNotification structure
2. Dumps that structure out using mapidump_folderdeleted()
3. Tests mapidump_folderdeleted() with a null argument

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

Note
  This currently doesn't check the results are sane, so manual inspection is required

bool mapitest_mapidump_foldermoved | ( | struct mapitest * | mt | ) |

Test dump of a folder move notification

This function:

1. Creates a FolderMoveCopyNotification structure
2. Dumps that structure out using mapidump_foldermoved()
3. Tests mapidump_foldermoved() with a null argument

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

Note
  This currently doesn't check the results are sane, so manual inspection is required

bool mapitest_mapidump_freebusy | ( | struct mapitest * | mt | ) |

Test dump of a free/busy event

This function:

1. builds a freebusy binary event
2. tests dumping it using mapidump_freebusy_event()
3. modifies the event, and dumps it again
4. modifies the event, and dumps it again
5. tests dumping a date using mapidump_freebusy_date()
6. tests each months for mapidump_freebusy_month()

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

Note
  This currently doesn't check the results are sane, so manual inspection is required

References mapitest_print(), and mapitest::mem_ctx.

bool mapitest_mapidump_message | ( | struct mapitest * | mt | ) |

Test dump of an email message using mapidump_message

This function:

1. Builds an indicative email using mapi_SPropValues (sets no codepage)
2. Calls the mapidump_appointment() function

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

Note
  This currently doesn't check the results are sane, so manual inspection is required

References mapitest::mem_ctx.

bool mapitest_mapidump_messagecopied | ( | struct mapitest * | mt | ) |

Test dump of a Message copied notification

This function:

1. Creates a MessageCopiedNotification structure
2. Dumps that structure out using mapidump_messagecopied()
3. Tests mapidump_messagecopied() with a null argument

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

Note
  This currently doesn't check the results are sane, so manual inspection is required

bool mapitest_mapidump_messagecreated | ( | struct mapitest * | mt | ) |

Test dump of a Message creation notification

This function:

1. Creates a MessageCreatedNotification structure
2. Dumps that structure out using mapidump_messagecreated()
3. Adds tags to the MessageCreatedNotification structure
4. Dumps the structure again.
5. Tests mapidump_messagecreated() with a null argument

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

Note
  This currently doesn't check the results are sane, so manual inspection is required

References mapitest::mem_ctx.

bool mapitest_mapidump_messagedeleted | ( | struct mapitest * | mt | ) |

Test dump of a Message deletion notification

This function:

1. Creates a MessageDeletedNotification structure
2. Dumps that structure out using mapidump_messagedeleted()
3. Tests mapidump_messagedeleted() with a null argument

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

Note
  This currently doesn't check the results are sane, so manual inspection is required

bool mapitest_mapidump_messagemodified | ( | struct mapitest * | mt | ) |

Test dump of a Message modification notification

This function:

1. Creates a MessageModifiedNotification structure
2. Dumps that structure out using mapidump_messagemodified()
3. Adds tags to the MessageModifiedNotification structure
4. Dumps the structure again.
5. Tests mapidump_messagemodified() with a null argument

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

Note
  This currently doesn't check the results are sane, so manual inspection is required

References mapitest::mem_ctx.

bool mapitest_mapidump_messagemoved | ( | struct mapitest * | mt | ) |

Test dump of a Message moved notification

This function:

1. Creates a MessageMovedNotification structure
2. Dumps that structure out using mapidump_messagemoved()
3. Tests mapidump_messagemoved() with a null argument

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

Note
  This currently doesn't check the results are sane, so manual inspection is required

bool mapitest_mapidump_newmail | ( | struct mapitest * | mt | ) |

Test dump of an new mail notification

This function:

1. Tests the mapidump_msgflags function with no bits set
2. Tests the mapidump_msgflags function with one bit set
3. Tests the mapidump_msgflags function with all bits set
4. Builds an indicative new mail notification
5. Calls the mapidump_newmail function to test dumping of that new mail notification

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

Note
  This currently doesn't check the results are sane, so manual inspection is required

bool mapitest_mapidump_note | ( | struct mapitest * | mt | ) |

Test dump using mapidump_note

This function:

1. Tests the mapidump_note() function on a plain text message
2. Tests the mapidump_note() function on a HTML message

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

Note
  This currently doesn't check the results are sane, so manual inspection is required

References mapitest::mem_ctx.

bool mapitest_mapidump_pabentry | ( | struct mapitest * | mt | ) |

Test dump using mapidump_pabentry

This function:

1. Tests the mapidump_PAB_entry() function

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

Note
  This currently doesn't check the results are sane, so manual inspection is required

References mapitest::mem_ctx.

bool mapitest_mapidump_recipients | ( | struct mapitest * | mt | ) |

Test dump of a set of recipients

This function:

1. builds a recipient list
2. dumps out the recipient list using mapidump_Recipients()

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

Note
  This currently doesn't check the results are sane, so manual inspection is required

References mapitest::mem_ctx.

bool mapitest_mapidump_sproptagarray | ( | struct mapitest * | mt | ) |

Test dump using mapidump_SPropTagArray

This function:

1. Tests the mapidump_SPropTagArray() function

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

Note
  This currently doesn't check the results are sane, so manual inspection is required

References mapitest::mem_ctx.

bool mapitest_mapidump_spropvalue | ( | struct mapitest * | mt | ) |

Test dump using mapidump_SPropValue

This function:

1. Tests the mapidump_SPropValue() function

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

Note
  This currently doesn't check the results are sane, so manual inspection is required

References mapitest::mem_ctx.

bool mapitest_mapidump_srowset | ( | struct mapitest * | mt | ) |

Test dump using mapidump_SRowSet

This function:

1. Tests the mapidump_SRowSet() function
2. Indirectly tests the mapidump_SRow() function

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

Note
  This currently doesn't check the results are sane, so manual inspection is required

References mapitest::mem_ctx.

bool mapitest_mapidump_task | ( | struct mapitest * | mt | ) |

Test dump using mapidump_task

This function:

1. Tests the mapidump_task() function
2. modifies the task to be completed
3. Tests the associated get_importance() function
4. Tests the associated get_task_status() function

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

Note
  This currently doesn't check the results are sane, so manual inspection is required

References mapitest_print(), and mapitest::mem_ctx.

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/